> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update

> Update modifies the onboarding progress, such as marking steps complete or dismissing the wizard.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/settings/onboarding
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/settings/onboarding:
    post:
      tags:
        - Onboarding Settings
      summary: Update
      description: >-
        Update modifies the onboarding progress, such as marking steps complete
        or dismissing the wizard.
      operationId: c1.api.settings.v1.OnboardingSettingsService.Update
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.settings.v1.UpdateOnboardingSettingsRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.settings.v1.UpdateOnboardingSettingsResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: Update
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.OnboardingSettings.Update(ctx, nil)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.UpdateOnboardingSettingsResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.onboardingSettings.update();

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.settings.v1.UpdateOnboardingSettingsRequest:
      description: The UpdateOnboardingSettingsRequest message.
      properties:
        conversationId:
          description: The identifier of the onboarding conversation thread to associate.
          readOnly: false
          type: string
        status:
          description: The new onboarding status to set.
          enum:
            - ONBOARDING_STATUS_UNSPECIFIED
            - ONBOARDING_STATUS_NOT_STARTED
            - ONBOARDING_STATUS_IN_PROGRESS
            - ONBOARDING_STATUS_COMPLETE
            - ONBOARDING_STATUS_DISMISSED
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
      title: Update Onboarding Settings Request
      type: object
      x-speakeasy-name-override: UpdateOnboardingSettingsRequest
    c1.api.settings.v1.UpdateOnboardingSettingsResponse:
      description: The UpdateOnboardingSettingsResponse message.
      properties:
        status:
          description: The updated onboarding status.
          enum:
            - ONBOARDING_STATUS_UNSPECIFIED
            - ONBOARDING_STATUS_NOT_STARTED
            - ONBOARDING_STATUS_IN_PROGRESS
            - ONBOARDING_STATUS_COMPLETE
            - ONBOARDING_STATUS_DISMISSED
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
      title: Update Onboarding Settings Response
      type: object
      x-speakeasy-name-override: UpdateOnboardingSettingsResponse
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````